> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel product subscription

> Cancel the current product subscription for the authenticated account



## OpenAPI

````yaml delete /api/v2/product/cancel
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/product/cancel:
    delete:
      tags:
        - Billing
      summary: Cancel product subscription
      description: Cancel the current product subscription for the authenticated account
      parameters:
        - name: targetAccountId
          in: query
          description: Target account ID when acting on behalf of another account
          required: false
          example: 123
          schema:
            type: number
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                reason:
                  type: string
                  description: Cancellation reason
                details:
                  type: string
                  description: Additional details
      responses:
        '200':
          description: Subscription canceled
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Subscription cancelled
        '400':
          description: Unable to cancel subscription
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: A descriptive error message
        '401':
          description: Unauthorized
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````